> For the complete documentation index, see [llms.txt](https://docs.flowiseai.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flowiseai.com/espanol/documentacion-oficial/usar-flowise/telemetry.md).

# Telemetry

***

El repositorio de código abierto de Flowise tiene una telemetría incorporada que recopila información anónima sobre el uso. Esto nos ayuda a comprender mejor el uso de Flowise, permitiéndonos priorizar nuestros esfuerzos hacia el desarrollo de nuevas funcionalidades y la resolución de problemas, y mejorar el rendimiento y la estabilidad de Flowise.

{% hint style="warning" %} <mark style="color:red;">**Importante**</mark> - Nunca recopilamos ninguna información confidencial sobre la entrada/salida de los nodos, mensajes o cualquier tipo de credenciales y variables. Solo se envían eventos.
{% endhint %}

Puedes verificar estas afirmaciones encontrando todas las ubicaciones donde se llama a `telemetry.sendTelemetry` en el código fuente.

<table><thead><tr><th width="238">Evento</th><th>Metadatos</th></tr></thead><tbody><tr><td>chatflow_created</td><td><pre class="language-json"><code class="lang-json">{
    "version": &#x3C;versión-app>,
    "chatlowId": &#x3C;id-chatflow>,
    "flowGraph": {
        "nodes": [&#x3C;nodoid-1>, &#x3C;nodoid-2>],
        "edges": [
            {
                "source": &#x3C;nodoid-1>,
                "target": &#x3C;nodoid-2>
            }
        ]
    }
}
</code></pre></td></tr><tr><td>tool_created</td><td><pre class="language-json"><code class="lang-json">{
    "version": &#x3C;versión-app>,
    "toolId": &#x3C;id-herramienta>,
    "toolName": &#x3C;nombre-herramienta>
}
</code></pre></td></tr><tr><td>assistant_created</td><td><pre class="language-json"><code class="lang-json">{
    "version": &#x3C;versión-app>,
    "assistantId": &#x3C;id-asistente>
}
</code></pre></td></tr><tr><td>vector_upserted</td><td><pre class="language-json"><code class="lang-json">{
    "version": &#x3C;versión-app>,
    "chatlowId": &#x3C;id-chatflow>,
    "type": "INTERNAL", // EXTERNAL
    "flowGraph": {
        "nodes": [&#x3C;nodoid-1>, &#x3C;nodoid-2>],
        "edges": [
            {
                "source": &#x3C;nodoid-1>,
                "target": &#x3C;nodoid-2>
            }
        ]
    },
    "stopNodeId": &#x3C;nodoid-1>
}
</code></pre></td></tr><tr><td>prediction_sent</td><td><pre class="language-json"><code class="lang-json">{
    "version": &#x3C;versión-app>,
    "chatlowId": &#x3C;id-chatflow>,
    "chatId": &#x3C;id-chat>,
    "type": "INTERNAL", // EXTERNAL
    "flowGraph": {
        "nodes": [&#x3C;nodoid-1>, &#x3C;nodoid-2>],
        "edges": [
            {
                "source": &#x3C;nodoid-1>,
                "target": &#x3C;nodoid-2>
            }
        ]
    }
}
</code></pre></td></tr></tbody></table>

## Deshabilitar Telemetría

Los usuarios pueden deshabilitar la telemetría configurando `DISABLE_FLOWISE_TELEMETRY` como `true` en el archivo `.env`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flowiseai.com/espanol/documentacion-oficial/usar-flowise/telemetry.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
